# $Revision: 1.6 $, $Date: 2006/01/17 15:45:19 $
Summary:	Scheme Interpreter/Compiler System
Summary(pl):	Interpreter/Kompilator systemu scheme
Name:		stklos
Version:	0.70
Release:	2
Group:		Development/Languages
License:	GPL
Source0:	http://dl.sourceforge.net/stklos/%{name}-%{version}.tar.gz
# Source0-md5:	65f94dbea4667f884896964d57b4d5e0
Patch0:		%{name}-bash.patch
URL:		http://www.stklos.org/
BuildRequires:	gc-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRequires:	gmp-devel
BuildRequires:	openldap-devel >= 2.3.0
Requires:	bash
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
STklos is a fast Scheme bytecode interpreter trying to conform to
R5RS. It is the successor of STk (a Scheme interpreter able to access
the Tk toolkit).

STklos provides an extensive and efficient Object Oriented extension
providing multiple inheritance, generic functions, multi-methods. Its
implementation relies on a CLOS-like Meta Object Protocol.

STklos also provides a connection to GTK+ allowing to make GUI in a
clean and easy way.

%description -l pl
STklos jest szybkim interpreterem bytecodu Scheme starajcym si by
zgodnym z R5RS. Jest nastpc STk (interpetera Scheme zdolnego do
korzystania z toolkitu Tk).

STKlos udostpnia rozszerzalne i efektywne rozszerzenia zorientowane
objektowo udostpniajce wielokrotne dziedziczenie, oglne funkcje,
wielo-metody.

STklos udostpnia take poczenia do GTK+ pozwalajce tworzy GUI i
przejrzysty i prosty sposb.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} `gdk-pixbuf-config --cflags`"
%configure \
	--enable-ldap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS ChangeLog TODO PACKAGES-USED AUTHORS SUPPORTED-SRFIS
%attr(755,root,root) %{_bindir}/*
%{_prefix}/lib/%{name}
%{_datadir}/%{name}
%{_includedir}/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stklos.spec,v $
Revision 1.6  2006/01/17 15:45:19  baggins
- release 2
- BR openldap 2.3

Revision 1.5  2005/06/12 10:44:17  undefine
- there is no info

Revision 1.4  2005/06/12 00:10:19  undefine
- up to 0.70, patch to real use /bin/bash, instead of /bin/sh (bash scripts)

Revision 1.3  2004/08/28 19:27:47  qboosh
- pl fix, missing dirs

Revision 1.2  2004/08/28 18:23:34  undefine
- %{_prefix}/lib, not %{_libdir}

Revision 1.1  2004/08/28 17:40:00  undefine
- initital pld version based on included spec
